---
- name: Linux
  when: ansible_distribution == 'CentOS' or ansible_distribution == 'Ubuntu' or ansible_distribution == 'Fedora' or ansible_distribution == 'Rocky'
  block:
  - name: Copy FS usage check
    copy:
      src: files/check_fs_usage.sh
      dest: /etc/rsc/check_fs_usage.sh
      mode: 0750

  - name: Copy disk full template
    copy:
      src: files/disk_full_template
      dest: /etc/rsc/disk_full_template
      mode: 0640

  - name: Create root FS full job
    cron:
      name: "Check if root FS is full"
      minute: "*/15"
      job: "/etc/rsc/check_fs_usage.sh"
